GET /call_control_applications

telnyx.com

Summary: List call control applications
Operation ID: listCallControlApplications
Auth: unknown
Description

Return a list of call control applications.

Parameters (5)

filter[application_name][contains] (string, query, optional, default: null)

If present, applications with <code>application_name</code> containing the given value will be returned. Matching is not case-sensitive. Requires at least three characters.

filter[outbound_voice_profile_id] (string, query, optional)

Identifies the associated outbound voice profile.

page[number] (integer, query, optional, default: 1)

The page number to load.

Constraints: {'minimum': 1}

page[size] (integer, query, optional, default: 20)

The size of the page.

Constraints: {'minimum': 1, 'maximum': 250}

sort (string, query, optional, default: created_at)

Specifies the sort order for results. By default sorting direction is ascending. To have the results sorted in descending order add the <code> -</code> prefix.<br/><br/> That is: <ul> <li> <code>connection_name</code>: sorts the result by the <code>connection_name</code> field in ascending order. </li> <li> <code>-connection_name</code>: sorts the result by the <code>connection_name</code> field in descending order. </li> </ul> <br/> If not given, results are sorted by <code>created_at</code> in descending order.

Constraints: {'enum': ['created_at', 'connection_name', 'active']}

No probe data for this endpoint yet.